import React from 'react'
import { View } from '@tarojs/components'
import {
  Button
} from "@nutui/nutui-react-taro";
import './index.scss'
import TabbarAction from '@/components/action';
import { Infiniteloading } from '@nutui/nutui-react-taro';
import { useEffect } from 'react';
import { useState } from 'react';




function Index() {

  const [list, setList] = useState([])
  const [page, setPage] = useState(1)
  const [hasMore, setHasMore] = useState(true)

  useEffect(() => {
    if (list.length > 50) {
      setHasMore(false)
      return
    }
    let l = []
    for (let i = list.length; i < 10 + list.length; i++) {
      l.push(i)
    }
    setList([...list, ...l])

  }, [page])

  return (
    <View className='home-container'>
      <View className='home-title'>首页</View>
      <TabbarAction />
      <View className='home-body' id="customScroll">
        <Infiniteloading
          containerId="customScroll"
          useWindow={false}
          loadTxt="loading"
          loadMoreTxt="没有数据啦～"
          loadIcon='loading'
          hasMore={hasMore}
          onLoadMore={(x) => {
            setPage(p => p + 1)
            x()
            console.log(x)
          }}
        >
          <View className='goods-container'>
            {
              list.map(item => {
                return <View className='goods-item' key={item}>
                  {item}
                </View>
              })
            }


          </View>
        </Infiniteloading>
      </View>
    </View>
  )
}

export default Index
